<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="org.springblade.person.mapper.VeteransMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="veteransResultMap" type="org.springblade.person.entity.Veterans">
        <result column="id" property="id"/>
        <result column="create_user" property="createUser"/>
        <result column="create_dept" property="createDept"/>
        <result column="create_time" property="createTime"/>
        <result column="update_user" property="updateUser"/>
        <result column="update_time" property="updateTime"/>
        <result column="status" property="status"/>
        <result column="is_deleted" property="isDeleted"/>
        <result column="parent_id" property="parentId"/>
        <result column="only_child" property="onlyChild"/>
        <result column="physical_condition" property="physicalCondition"/>
        <result column="programmable_direction" property="programmableDirection"/>
        <result column="service_place" property="servicePlace"/>
        <result column="enlistment_time" property="enlistmentTime"/>
        <result column="discharge_time" property="dischargeTime"/>
        <result column="services" property="services"/>
        <result column="post_of_discharge" property="postOfDischarge"/>
        <result column="retirement_certificate" property="retirementCertificate"/>
        <result column="retirement_certificate_code" property="retirementCertificateCode"/>
        <result column="special_care_certificate" property="specialCareCertificate"/>
        <result column="reward_and_punishment" property="rewardAndPunishment"/>
    </resultMap>


    <select id="selectVeteransPage" resultMap="veteransResultMap">
        select * from personnel_veterans where is_deleted = 0
    </select>

</mapper>
